Skip to content

getGaugeCalibrationRecordsByGaugeId

READ

Get gauge calibration records by gauge id.

POST /api/v1/quality/getGaugeCalibrationRecordsByGaugeId
curl -X POST '<your-host>/api/v1/quality/getGaugeCalibrationRecordsByGaugeId' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "gaugeId": "string"
  }'
Response
{
  "results": [
    {
      "approvedBy": "string",
      "calibrationAttempts": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "dateCalibrated": "string",
      "description": "string",
      "gaugeId": "string",
      "gaugeReadableId": "string",
      "gaugeTypeId": "string",
      "humidity": 0,
      "id": "string",
      "inspectionStatus": "Pass",
      "measurementStandard": "string",
      "notes": "…",
      "requiresAction": true,
      "requiresAdjustment": true,
      "requiresRepair": true,
      "supplierId": "string",
      "temperature": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "gaugeId": {
      "type": "string"
    }
  },
  "required": [
    "gaugeId"
  ]
}